MCP48X1DAC(4)

NAME
mcp48x1dac - Microchip 48x1 digital to analog converter

SYNOPSIS
mcp48x1dac* at spi? slave ? flags N

DESCRIPTION
The mcp48x1dac driver supports the MCP48x1 family of digital to analog converters. The digital values to be converted to analog signal are passed through the sysctl(8) node.

The driver reports the current voltage output on the chip's DAC channel through the envsys(4) API. It calculates these values assuming that internal 2.048V reference voltage (Vref) is used.

The following table shows the supported chips. The type of the chip can be selected with the flags argument in the config file.
Designation | Resolution | flags
MCP4801 | 8 bits | 0
MCP4811 | 10 bits | 1
MCP4821 | 12 bits | 2

SYSCTL VARIABLES
The following sysctl(3) variables are provided:

machdep.mcp48x1dac0.data
    Defines digital data to be converted into analog signal. This value is interpreted literally and sent to the DAC without any conversion. Refer to the chip datasheet for more information.

machdep.mcp48x1dac0.gain
    When set to 1 it enables 2x output gain on the DAC channel. The default value is 0.

SEE ALSO
envsys(4), spi(4), sysctl(8) MCP4801/4811/4821 8/10/12-Bit Voltage Output Digital-to-Analog Converter with Internal VREF and SPI Interface Data Sheet.

HISTORY
The mcp48x1dac driver first appeared in NetBSD 7.0.

AUTHORS
-nosplit The mcp48x1dac driver was written by Radoslaw Kujawa.

This man page is based on mcp3kadc(4) page by Frank Wille.

BUGS
There are bugs.